// 提供UUID v4生成功能以及基于UUID v4生成短UUID的功能。
package uuid

import (
	"encoding/hex"

	"github.com/google/uuid"
)

// 生成一个UUID v4字节数组。
func New() []byte {
	newID := uuid.New()
	return newID[:]
}

// 生成一个UUID v4字符串。
func NewString() string {
	return hex.EncodeToString(New())
}
